import criticalpy
import graph


def test_load_project_from_csv():
    project = criticalpy.load_project_from_csv('test.csv')
    project.write_csv('critical_path_ouptut.csv')

    with open('project.dot', 'w') as f:
        f.write(graph.project_to_graphviz(project, critical_path_color="#FF0000"))

test_load_project_from_csv()

# dot -Tpng project.dot -o project.png    (PNG format)
